<?php
require_once('../../../includes/load.php');
if ($_SERVER['REQUEST_METHOD'] == 'POST') {
	$fecha = remove_junk($db->escape($_POST['fecha']));
    $cant_galones = remove_junk($db->escape($_POST['cant_galones']));
    $t_combustible = remove_junk($db->escape($_POST['t_combustible']));
    $granja = remove_junk($db->escape($_POST['granja']));
    $destino = remove_junk($db->escape($_POST['destino']));
    $responsable = remove_junk($db->escape($_POST['responsable']));
    $t_abastecimiento = remove_junk($db->escape($_POST['t_abastecimiento']));
    $fechaEntera = strtotime($fecha);
    $anio = date("Y", $fechaEntera);
    $mes = date("m", $fechaEntera);
    
    //cambiar los dias a español
    $dias = array("Domingo","Lunes","Martes","Miercoles","Jueves","Viernes","Sábado");
	$dia = $dias[date('w', $fechaEntera)];
    


 
    $query ="INSERT INTO programaabastecimiento(ProgFechaInicialAbastecimiento, EstadoProgramaAbastecimiento, TipoGranja, IdGranja, Responsable, Mes, Anio, Dia, IdTipoCombustible, Cantidad, IdTipoAbastecimiento) VALUES ('$fecha','Proyectado','$destino','$granja','$responsable','$mes','$anio','$dia','$t_combustible','$cant_galones','$t_abastecimiento')";

    if ($db->query($query)) {
        echo 'success';
    } else {
        echo 'fail';
    }
} 
